ranges::v3::view::reverse_fn Struct Reference

## Synopsis of methods

constexpr view< reverse_fn > | reverse {}

## Public Types

template<typename Rng >
using | Constraint = BidirectionalRange< Rng >

## Public Member Functions

template<typename Rng , requires = (Constraint<Rng>())>
constexpr auto | operator() (Rng &&rng) const noexcept(noexcept(decltype(reverse_view< all_t< Rng >>{all(static_cast< Rng &&>(rng))})(reverse_view< all_t< Rng >>{all(static_cast< Rng &&>(rng))}))) -> decltype(reverse_view< all_t< Rng >>